Subject: Re: bug#13930: Emacs doesn't cope well if it can't access/create .emacs.d

From: Glenn Morris <[email-masked]>
Date: Tue, 12 Mar 2013 12:29:23 -0400

Eli Zaretskii wrote:

>> It does exactly the same thing with --debug-init (says "creating directory:
>> permission denied...") and supplies no further information.
>
> How about running it under GDB with a breakpoint on report_file_error
> and on xsignal?  If you start GDB from the src directory of the Emacs
> sources, the .gdbinit file there defines a command xbacktrace which
> will produce a Lisp-level backtrace in addition to the C-level
> backtrace produced by the "bt" command of GDB.

Why do we need to jump through such hoops, when locate-user-emacs-file,
which Stefan has just added all over the place, says:

  Else return NEW-NAME in `user-emacs-directory', creating the
  directory if it does not exist.